Bug 811987 - autofs: maximum key name must be PATH_MAX
autofs: maximum key name must be PATH_MAX
Status: CLOSED ERRATA
Product: Red Hat Enterprise Linux 6
Classification: Red Hat
Component: sssd (Show other bugs)
6.3
Unspecified Unspecified
high Severity unspecified
: rc
: ---
Assigned To: Jakub Hrozek
Kaushik Banerjee
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2012-04-12 09:13 EDT by Dmitri Pal
Modified: 2014-07-23 04:23 EDT (History)
3 users (show)

See Also:
Fixed In Version: sssd-1.9.1-1.el6
Doc Type: Bug Fix
Doc Text:
No documentation needed.
Story Points: ---
Clone Of:
Environment:
Last Closed: 2013-02-21 04:23:19 EST
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

  None (edit)
Description Dmitri Pal 2012-04-12 09:13:49 EDT
This bug is created as a clone of upstream ticket:
https://fedorahosted.org/sssd/ticket/1300

When I limited the maximum key length to {{{NAME_MAX}}} I forgot about direct keys. Ian Kent reminded me in https://bugzilla.redhat.com/show_bug.cgi?id=683523#c80 that direct keys can be full paths.
Comment 1 RHEL Product and Program Management 2012-07-10 03:06:32 EDT
This request was not resolved in time for the current release.
Red Hat invites you to ask your support representative to
propose this request, if still desired, for consideration in
the next release of Red Hat Enterprise Linux.
Comment 2 RHEL Product and Program Management 2012-07-10 22:05:31 EDT
This request was erroneously removed from consideration in Red Hat Enterprise Linux 6.4, which is currently under development.  This request will be evaluated for inclusion in Red Hat Enterprise Linux 6.4.
Comment 4 Kaushik Banerjee 2012-11-28 05:33:54 EST
Verified with version 1.9.2-21.

Verifed using the tool autofs_test_client
# echo /largepathfolder1/largepathfolder2/largepathfolder3/largepathfolder4/largepathfolder5/largepathfolder6/largepathfolder7/largepathfolder8/largepathfolder9/largepathfolder10/largepathfolder11/largepathfolder12/largepathfolder13/largepathfolder14/largepathfolder15 | wc -c
262

# ./autofs_test_client -n /largepathfolder1/largepathfolder2/largepathfolder3/largepathfolder4/largepathfolder5/largepathfolder6/largepathfolder7/largepathfolder8/largepathfolder9/largepathfolder10/largepathfolder11/largepathfolder12/largepathfolder13/largepathfolder14/largepathfolder15 auto.direct
setautomntent done for auto.direct
key: /largepathfolder1/largepathfolder2/largepathfolder3/largepathfolder4/largepathfolder5/largepathfolder6/largepathfolder7/largepathfolder8/largepathfolder9/largepathfolder10/largepathfolder11/largepathfolder12/largepathfolder13/largepathfolder14/largepathfolder15		value: -fstype=nfs,rw kau63.kautest.com:/export/largepathfolder
endautomntent done for auto.direct


The tool autofs_test_client was built as per the steps given by Jakub:

1. grab the SRPM from brew

2. install all the build dependencies:
    yum-builddep sssd-1.9.2-21.el6.src.rpm

3. install the SRPM
    rpm -i sssd-1.9.2-21.el6.src.rpm

4. compile the SSSD
    rpmbuild -bc ~/rpmbuild/SPECS/sssd.spec

5. go to the build directory
    cd ~/rpmbuild/BUILD/sssd-1.9.2/

6. build the tests
    make tests

You should see a binary called autofs_test_client now. The binary talks
the same protocol as the autofs itself, so you can use it to retrieve
all keys from a particular map:
     ./autofs_test_client auto.master

Or just one key from a map:
     ./autofs_test_client -n somelongkey auto.master
Comment 5 errata-xmlrpc 2013-02-21 04:23:19 EST
Since the problem described in this bug report should be
resolved in a recent advisory, it has been closed with a
resolution of ERRATA.

For information on the advisory, and where to find the updated
files, follow the link below.

If the solution does not work for you, open a new bug report.

http://rhn.redhat.com/errata/RHSA-2013-0508.html

Note You need to log in before you can comment on or make changes to this bug.